#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1562\r"; sleep 2;
echo -e "write (0,1) -1597\r"; sleep 2;
echo -e "write (0,2) -1498\r"; sleep 2;
echo -e "write (0,3) -1190\r"; sleep 2;
echo -e "write (0,4) -1352\r"; sleep 2;
echo -e "write (0,5) -1480\r"; sleep 2;
echo -e "write (0,6) -1381\r"; sleep 2;
echo -e "write (0,9) -1340\r"; sleep 2;
echo -e "write (0,10) -1316\r"; sleep 2;
echo -e "write (0,11) -1345\r"; sleep 2;
echo -e "write (0,12) -1400\r"; sleep 2;
echo -e "write (0,13) -1333\r"; sleep 2;
echo -e "write (0,14) -1538\r"; sleep 2;
echo -e "write (1,0) -1294\r"; sleep 2;
echo -e "write (1,1) -1490\r"; sleep 2;
echo -e "write (1,2) -1549\r"; sleep 2;
echo -e "write (1,3) -1403\r"; sleep 2;
echo -e "write (1,4) -1560\r"; sleep 2;
echo -e "write (1,5) -1588\r"; sleep 2;
echo -e "write (1,6) -1451\r"; sleep 2;
echo -e "write (1,9) -1481\r"; sleep 2;
echo -e "write (1,10) -1308\r"; sleep 2;
echo -e "write (1,11) -1447\r"; sleep 2;
echo -e "write (1,12) -1416\r"; sleep 2;
echo -e "write (1,13) -1470\r"; sleep 2;
echo -e "write (1,14) -1639\r"; sleep 2;
echo -e "write (2,0) -1367\r"; sleep 2;
echo -e "write (2,1) -1519\r"; sleep 2;
echo -e "write (2,2) -1662\r"; sleep 2;
echo -e "write (2,3) -1362\r"; sleep 2;
echo -e "write (2,4) -1529\r"; sleep 2;
echo -e "write (2,5) -1416\r"; sleep 2;
echo -e "write (2,6) -1534\r"; sleep 2;
echo -e "write (2,9) -1356\r"; sleep 2;
echo -e "write (2,10) -1470\r"; sleep 2;
echo -e "write (2,11) -1603\r"; sleep 2;
echo -e "write (2,12) -1426\r"; sleep 2;
echo -e "write (2,13) -1613\r"; sleep 2;
echo -e "write (2,14) -1405\r"; sleep 2;
echo -e "write (3,0) -1518\r"; sleep 2;
echo -e "write (3,1) -1440\r"; sleep 2;
echo -e "write (3,2) -1536\r"; sleep 2;
echo -e "write (3,3) -1435\r"; sleep 2;
echo -e "write (3,4) -1387\r"; sleep 2;
echo -e "write (3,5) -1449\r"; sleep 2;
echo -e "write (3,6) -1371\r"; sleep 2;
echo -e "write (3,9) -1571\r"; sleep 2;
echo -e "write (3,10) -1350\r"; sleep 2;
echo -e "write (3,11) -1478\r"; sleep 2;
echo -e "write (3,12) -1397\r"; sleep 2;
echo -e "write (3,13) -1546\r"; sleep 2;
echo -e "write (3,14) -1353\r"; sleep 2;
echo -e "write (4,0) -1482\r"; sleep 2;
echo -e "write (4,1) -1346\r"; sleep 2;
echo -e "write (4,2) -1335\r"; sleep 2;
echo -e "write (4,3) -1422\r"; sleep 2;
echo -e "write (4,4) -1325\r"; sleep 2;
echo -e "write (4,5) -1452\r"; sleep 2;
echo -e "write (4,6) -1435\r"; sleep 2;
echo -e "write (4,9) -1454\r"; sleep 2;
echo -e "write (4,10) -1577\r"; sleep 2;
echo -e "write (4,11) -1420\r"; sleep 2;
echo -e "write (4,12) -1370\r"; sleep 2;
echo -e "write (4,13) -1600\r"; sleep 2;
echo -e "write (4,14) -1600\r"; sleep 2;
echo -e "write (5,0) -1600\r"; sleep 2;
echo -e "write (5,1) -1600\r"; sleep 2;
echo -e "write (5,2) -1600\r"; sleep 2;
echo -e "write (5,3) -1600\r"; sleep 2;
echo -e "write (5,4) -1600\r"; sleep 2;
echo -e "write (5,5) -1600\r"; sleep 2;
echo -e "write (5,6) -1600\r"; sleep 2;
echo -e "write (5,9) -1600\r"; sleep 2;
echo -e "write (5,10) -1659\r"; sleep 2;
echo -e "write (5,11) -1519\r"; sleep 2;
echo -e "write (5,12) -1312\r"; sleep 2;
echo -e "write (5,13) -1600\r"; sleep 2;
echo -e "write (5,14) -1615\r"; sleep 2;
echo -e "write (6,0) -1615\r"; sleep 2;
echo -e "write (6,1) -1693\r"; sleep 2;
echo -e "write (6,2) -1600\r"; sleep 2;
echo -e "write (6,3) -1530\r"; sleep 2;
echo -e "write (6,4) -1601\r"; sleep 2;
echo -e "write (6,5) -1572\r"; sleep 2;
echo -e "write (6,6) -1533\r"; sleep 2;
echo -e "write (6,9) -1679\r"; sleep 2;
echo -e "write (6,10) -1600\r"; sleep 2;
echo -e "write (6,11) -1550\r"; sleep 2;
echo -e "write (6,12) -1600\r"; sleep 2;
echo -e "write (6,13) -1665\r"; sleep 2;
echo -e "write (6,14) -1577\r"; sleep 2;
echo -e "write (7,0) -1280\r"; sleep 2;
echo -e "write (7,1) -1655\r"; sleep 2;
echo -e "write (7,3) -1542\r"; sleep 2;
echo -e "write (7,4) -1580\r"; sleep 2;
echo -e "write (7,5) -1528\r"; sleep 2;
echo -e "write (7,6) -1618\r"; sleep 2;
echo -e "write (7,8) -1505\r"; sleep 2;
echo -e "write (7,9) -1596\r"; sleep 2;
echo -e "write (7,10) -1551\r"; sleep 2;
echo -e "write (7,11) -1518\r"; sleep 2;
echo -e "write (7,12) -1600\r"; sleep 2;
echo -e "write (7,13) -1648\r"; sleep 2;
echo -e "write (7,14) -1633\r"; sleep 2;
echo -e "write (8,0) -1522\r"; sleep 2;
echo -e "write (8,1) -1610\r"; sleep 2;
echo -e "write (8,2) -1456\r"; sleep 2;
echo -e "write (8,3) -1368\r"; sleep 2;
echo -e "write (8,4) -1368\r"; sleep 2;
echo -e "write (8,5) -1416\r"; sleep 2;
echo -e "write (8,6) -1504\r"; sleep 2;
echo -e "write (8,9) -1378\r"; sleep 2;
echo -e "write (8,10) -1544\r"; sleep 2;
echo -e "write (8,11) -1354\r"; sleep 2;
echo -e "write (8,12) -1491\r"; sleep 2;
echo -e "write (8,13) -1359\r"; sleep 2;
echo -e "write (8,14) -1321\r"; sleep 2;
echo -e "write (9,0) -1349\r"; sleep 2;
echo -e "write (9,1) -1303\r"; sleep 2;
echo -e "write (9,2) -1475\r"; sleep 2;
echo -e "write (9,3) -1587\r"; sleep 2;
echo -e "write (9,4) -1292\r"; sleep 2;
echo -e "write (9,5) -1620\r"; sleep 2;
echo -e "write (9,6) -1640\r"; sleep 2;
echo -e "write (9,9) -1600\r"; sleep 2;
echo -e "write (9,10) -1478\r"; sleep 2;
echo -e "write (9,11) -1598\r"; sleep 2;
echo -e "write (9,12) -1429\r"; sleep 2;
echo -e "write (9,13) -1566\r"; sleep 2;
echo -e "write (9,14) -1509\r"; sleep 2;
echo -e "write (10,0) -1468\r"; sleep 2;
echo -e "write (10,1) -1358\r"; sleep 2;
echo -e "write (10,2) -1229\r"; sleep 2;
echo -e "write (10,3) -1473\r"; sleep 2;
echo -e "write (10,4) -1280\r"; sleep 2;
echo -e "write (10,5) -1327\r"; sleep 2;
echo -e "write (10,6) -1448\r"; sleep 2;
echo -e "write (10,9) -1434\r"; sleep 2;
echo -e "write (10,10) -1600\r"; sleep 2;
echo -e "write (10,11) -1615\r"; sleep 2;
echo -e "write (10,12) -1341\r"; sleep 2;
echo -e "write (10,13) -1374\r"; sleep 2;
echo -e "write (10,14) -1537\r"; sleep 2;
echo -e "write (11,0) -1336\r"; sleep 2;
echo -e "write (11,1) -1485\r"; sleep 2;
echo -e "write (11,2) -1600\r"; sleep 2;
echo -e "write (11,4) -1634\r"; sleep 2;
echo -e "write (11,5) -1592\r"; sleep 2;
echo -e "write (11,6) -1574\r"; sleep 2;
echo -e "write (11,9) -1411\r"; sleep 2;
echo -e "write (11,10) -1535\r"; sleep 2;
echo -e "write (11,11) -1672\r"; sleep 2;
echo -e "write (11,12) -1303\r"; sleep 2;
echo -e "write (11,13) -1504\r"; sleep 2;
echo -e "write (11,14) -1577\r"; sleep 2;
echo -e "write (11,15) -1649\r"; sleep 2;
echo -e "write (12,1) -1373\r"; sleep 2;
echo -e "write (12,2) -1372\r"; sleep 2;
echo -e "write (12,3) -1430\r"; sleep 2;
echo -e "write (12,4) -1484\r"; sleep 2;
echo -e "write (12,5) -1389\r"; sleep 2;
echo -e "write (12,8) -1446\r"; sleep 2;
echo -e "write (12,9) -1398\r"; sleep 2;
echo -e "write (12,10) -1394\r"; sleep 2;
echo -e "write (12,11) -1541\r"; sleep 2;
echo -e "write (12,12) -1600\r"; sleep 2;
echo -e "write (12,13) -1662\r"; sleep 2;
echo -e "write (12,14) -1483\r"; sleep 2;
echo -e "write (12,15) -1649\r"; sleep 2;
echo -e "write (13,0) -1699\r"; sleep 2;
echo -e "write (13,1) -1676\r"; sleep 2;
echo -e "write (13,2) -1689\r"; sleep 2;
echo -e "write (13,3) -1575\r"; sleep 2;
echo -e "write (13,4) -1444\r"; sleep 2;
echo -e "write (13,5) -1599\r"; sleep 2;
echo -e "write (13,6) -1677\r"; sleep 2;
echo -e "write (13,9) -1651\r"; sleep 2;
echo -e "write (13,10) -1579\r"; sleep 2;
echo -e "write (13,11) -1558\r"; sleep 2;
echo -e "write (13,12) -1483\r"; sleep 2;
echo -e "write (13,13) -1512\r"; sleep 2;
echo -e "write (13,14) -1637\r"; sleep 2;
echo -e "write (14,0) -1504\r"; sleep 2;
echo -e "write (14,1) -1656\r"; sleep 2;
echo -e "write (14,2) -1561\r"; sleep 2;
echo -e "write (14,3) -1462\r"; sleep 2;
echo -e "write (14,4) -1600\r"; sleep 2;
echo -e "write (14,5) -1600\r"; sleep 2;
echo -e "write (14,6) -1668\r"; sleep 2;
echo -e "write (14,9) -1677\r"; sleep 2;
echo -e "write (14,10) -1600\r"; sleep 2;
echo -e "write (14,11) -1577\r"; sleep 2;
echo -e "write (14,12) -1664\r"; sleep 2;
echo -e "write (14,13) -1632\r"; sleep 2;
echo -e "write (14,14) -1468\r"; sleep 2;
echo -e "write (15,0) -1609\r"; sleep 2;
echo -e "write (15,1) -1554\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7007 > ../log/fms_hvon_7007_$t.tex
echo Set new HV
cat ../log/fms_hvon_7007_$t.tex
